Issue #1 resolved

Flask-XMLRPC fails on Python 2.5

Armin Ronacher
created an issue

{{{ Traceback (most recent call last): File "test.py", line 7, in <module> api = XMLRPCHandler('api') File "../Flask_XML_RPC-0.1-py2.5.egg/flaskext/xmlrpc.py", line 54, in init Dispatcher.init(self) TypeError: init() takes exactly 3 arguments (1 given) }}}

Guess that call needs a versioncheck. Lodgeit does this: http://dev.pocoo.org/projects/lodgeit/browser/lodgeit/lib/xmlrpc.py#L21

Comments (2)

  1. Matthew Frazier repo owner

    Sorry for taking so long to get back to you. I put in a version check like LodgeIt's (and fixed a nasty bug with the tester), but I don't have a Python 2.5 handy so I can't check if the bug is completely fixed yet. Can you test with the development version and see if it works? Once you do, I'll release a new version and close the ticket.

    -- Thanks, LeafStorm

  2. Log in to comment